Subject: Re: [PATCH] [02/10] pasemi_mac: Stop using the pci config space accessors for register read/writes

From: Olof Johansson <[email-masked]>
Date: Thu, 23 Aug 2007 13:12:08 -0500

On Thu, Aug 23, 2007 at 10:31:03AM +1000, Stephen Rothwell wrote:
> On Wed, 22 Aug 2007 09:12:48 -0500 Olof Johansson <[email-masked]> wrote:
> >
> > -static unsigned int read_iob_reg(struct pasemi_mac *mac, unsigned int reg)
> > +static inline unsigned int read_iob_reg(struct pasemi_mac *mac, unsigned int reg)
>           ^^^^^^
> For static functions in C files, we tend not to bother marking them
> inline any more as the compiler does a pretty good job theses days.

Yeah, sloppy coding on my behalf. It was still there from when I
explicitly added noinline during debugging, forgot to take it out
alltogether.

> > -	pci_read_config_dword(mac->iob_pdev, reg, &val);
> > +	val = in_le32(mac->iob_regs+reg);
> > +
> >  	return val;
> 
> Why not just "return in_le32(mac->iob_regs+reg);" ?
> And similarly below?

Residual from debugging as well, I had debug hooks showing what was
read/written that I took out, but didn't fix up the surrounding stuff.

Refreshed patch posted separately. Thanks for the feedback.

-Olof